Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class GrailsCoreDependencies

    java.lang.Object
      org.codehaus.groovy.grails.resolve.GrailsCoreDependencies

    public class GrailsCoreDependencies
    extends java.lang.Object

Encapsulates information about the core dependencies of Grails.

Field Summary
`java.lang.String` | `grailsVersion`
`boolean` | `java5compatible`
`java.lang.String` | `servletVersion`

Constructor Summary
`GrailsCoreDependencies(java.lang.String grailsVersion)`
`GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion)`

Method Summary
`groovy.lang.Closure` | `createDeclaration()` Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails.
`java.lang.String` | `getSpringVersion()` The version of core spring dependencies such as `spring-core`, `spring-beans` etc.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### grailsVersion

    public final java.lang.String grailsVersion

### java5compatible

    public boolean java5compatible

### servletVersion

    public final java.lang.String servletVersion

Constructor Detail

### GrailsCoreDependencies

    public GrailsCoreDependencies(java.lang.String grailsVersion)

### GrailsCoreDependencies

    public GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion)

Method Detail

### createDeclaration

    @SuppressWarnings({ "serial", "rawtypes" })
    public groovy.lang.Closure createDeclaration()

  Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails. This method is used internally and should not be called in user code.

### getSpringVersion

    public java.lang.String getSpringVersion()

  The version of core spring dependencies such as `spring-core`, `spring-beans` etc.

Groovy Documentation